# $Revision: 1.46 $, $Date: 2007/02/01 20:54:02 $
Summary:	Client for the Trivial File Transfer Protocol (TFTP)
Summary(de):	Client fr das 'trivial file transfer protocol (TFTP)'
Summary(fr):	Client pour le  trivial file transfer protocol  (TFTP)
Summary(pl):	Klient TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Name:		tftp-hpa
Version:	0.48
Release:	1
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.kernel.org/pub/software/network/tftp/%{name}-%{version}.tar.bz2
# Source0-md5:	f2e0a1ca0c49ae46ecad26a54df3e887
Source1:	tftpd-hpa.inetd
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Obsoletes:	inetutils-tftp
Obsoletes:	tftp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. This package contains TFTP client.

%description -l de
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -l fr
Le  trivial file transfer protocol  (TFTP) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Pakiet ten zawiera aplikacj
TFTP klienta.

%description -l tr
lkel dosya aktarm protokolu genelde disksiz i istasyonlarnn a
zerinden almalarnda kullanlr. Gvenlik denetimleri ok az
olduundan zorunlu kalmadka altrlmamaldr.

%package -n tftpd-hpa
Summary:	Daemon for the trivial file transfer protocol (TFTP)
Summary(de):	Dmon fr das 'trivial file transfer protocol (TFTP)'
Summary(fr):	Dmon pour le  trivial file transfer protocol  (TFTP)
Summary(pl):	Serwer TFTP (Trivial File Transfer Protocol)
Summary(tr):	lkel dosya aktarm protokolu (TFTP) iin sunucu ve istemci
Group:		Networking/Daemons
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires:	inetdaemon
Requires:	rc-inetd >= 0.8.1
Provides:	group(tftp)
Provides:	tftpdaemon
Provides:	user(tftp)
Obsoletes:	atftpd
Obsoletes:	inetutils-tftpd
Obsoletes:	tftp-server
Obsoletes:	tftpd
Obsoletes:	utftpd

%description -n tftpd-hpa
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations. The tftp-hpa package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine. It provides very little security, and should not be
enabled unless it is needed.

%description -n tftpd-hpa -l de
Das trivial file transfer protocol (TFTP) wird in der Regel nur zum
Booten von disklosen Workstations benutzt. Es bietet nur geringe
Sicherheit und sollte nur im Bedarfsfall aktiviert werden.

%description -n tftpd-hpa -l fr
Le  trivial file transfer protocol  (TFTP) est normalement utilis
uniquement pour dmarrer les stations de travail sans disque. Il offre
trs peu de scurit et ne devrait pas tre activ sauf si c'est
ncessaire.

%description -n tftpd-hpa -l pl
TFTP (Trivial File Transfer Protocol) jest uywany gwnie do
startowania stacji bezdyskowych z sieci. Serwer TFTP powinien by
instalowany tylko wtedy, kiedy zachodzi taka konieczno poniewa
naley on do aplikacji o niskim poziomie bezpieczestwa.

%prep
%setup -q

mv -f aclocal.m4 acinclude.m4

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sbindir},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT{%{_mandir}/man{1,8},/var/lib/tftp}

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/tftpd

mv -f $RPM_BUILD_ROOT%{_sbindir}/in.tftpd $RPM_BUILD_ROOT%{_sbindir}/tftpd
mv -f $RPM_BUILD_ROOT%{_mandir}/man8/in.tftpd.8 $RPM_BUILD_ROOT%{_mandir}/man8/tftpd.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre -n tftpd-hpa
%groupadd -P tftpd-hpa -g 59 -r -f tftp
%useradd -P tftpd-hpa -u 15 -r -d /var/lib/tftp -s /bin/false -c "TFTP User" -g tftp tftp

%post -n tftpd-hpa
%service -q rc-inetd reload

%postun -n tftpd-hpa
if [ "$1" = "0" ]; then
	%service -q rc-inetd reload
	%userremove tftp
	%groupremove tftp
fi

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n tftpd-hpa
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/tftpd
%attr(750,tftp,root) %dir /var/lib/tftp
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tftp-hpa.spec,v $
Revision 1.46  2007/02/01 20:54:02  areq
- 0.48

Revision 1.45  2006/12/07 07:35:07  aredridel
- 0.44

Revision 1.44  2006/07/31 23:25:22  sparky
- up to 0.42

Revision 1.43  2006/03/14 01:24:26  glen
- unified rc-inetd usage (via %service), adapterized

Revision 1.42  2005/12/13 15:35:56  glen
- adapterized (sorted %verify attrs)

Revision 1.41  2005/10/14 08:14:53  areq
- 0.41

Revision 1.40  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.39  2004/12/21 15:25:08  qboosh
- fixed build

Revision 1.38  2004/12/21 15:10:37  qboosh
- unified

Revision 1.37  2004/10/20 10:54:02  darekr
- updated to 0.40, rel.1
- added CHANGES in %doc

Revision 1.36  2004/10/10 19:42:30  paladine
- added missing BR: autoconf

Revision 1.35  2004/09/25 12:16:22  blues
- release 2 - obsoletes from inetutils - STBR

Revision 1.34  2004/09/15 09:35:47  areq
- 0.39

Revision 1.33  2004/09/03 09:03:40  areq
- 0.38

Revision 1.32  2004/08/25 04:17:31  ankry
- rel. 2

Revision 1.31  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.30  2004/07/09 23:59:45  ankry
- fixed Provides/Obsoletes

Revision 1.29  2004/07/09 15:16:47  agaran
- updated to 0.37,rel1 builds, not tested

Revision 1.28  2004/03/19 16:44:39  undefine
- release 3 for AC

Revision 1.27  2004/01/27 22:03:16  eothane
- updated to 0.36, few cosmetics

Revision 1.26  2004/01/10 02:43:37  undefine
- release 0.35, use normal configure macro, copy config.sub from am.

Revision 1.25  2003/12/10 23:22:12  undefine
- release 3 to rebuild with ac

Revision 1.24  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.23  2003/05/28 13:02:14  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:27:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/05/08 07:50:28  pascalek
- revert last stupid change

Revision 1.20  2003/05/07 12:28:16  pascalek
- tftp user belong to ftp group

Revision 1.19  2003/04/28 08:35:08  misi3k
- removed BR: binutils

Revision 1.18  2003/04/28 07:49:25  misi3k
- added BR: binutils

Revision 1.17  2003/04/28 07:25:00  misi3k
- rel 2
- fixed post & postun ( added group tftp - gid 59)

Revision 1.16  2003/04/12 08:21:45  areq
- 0.34

Revision 1.15  2002/11/22 08:12:06  kloczek
- change permissio on tftp resources to tftp.root/750.

Revision 1.14  2002/11/22 07:32:49  kloczek
- changed permission on tftp server resources to tftp.tftp/750.

Revision 1.13  2002/11/21 10:39:57  blues
- release 2 - tftp dir is now owned by ftp group

Revision 1.12  2002/11/13 12:46:01  kloczek
- readline-devel added to Obsoletes,
- -lnsl removed from TFTPD_LIBS (linking with libnsl isn't neccessary).

Revision 1.11  2002/11/13 12:32:36  kloczek
- cosmetics.

Revision 1.10  2002/11/13 09:00:51  jasio
- 0.32, works fine
- STBR

Revision 1.9  2002/11/12 13:27:54  jasio
- Removed group tftp (works without it);
- Permissions tftp,root on /var/lib/tftp;
- STBR (rpm works OK for me now)

Revision 1.8  2002/11/07 11:00:51  jasio
- Added in pre and post section group tftp, changed perms on /var/lib/tftp
STBR

Revision 1.7  2002/10/25 09:32:01  areq
- 0.31, STBR

Revision 1.6  2002/10/20 20:22:07  qboosh
- Revision and Date

Revision 1.5  2002/10/17 12:51:48  jasio
- Fixed error in setup section

Revision 1.4  2002/10/17 12:49:18  jasio
- Fixed typo prep section

Revision 1.3  2002/10/17 12:44:14  jasio
- Change name in source1

Revision 1.2  2002/10/17 12:41:38  jasio
- Typos.

Revision 1.1  2002/10/17 11:18:44  jasio
- Initial release.
